
Packaging - Bug #8940

The Ruby 193 mod_passenger package should stay inside the SCL namespace

01/13/2015 05:08 PM - Trevor Vaughan

Status: Rejected   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.7.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Ruby 193 mod_passenger RPM writes the mod_passenger.so file to /usr/lib64/httpd/modules/mod_passenger.so.

This should be restricted to the Ruby 193 SCL namespace as it currently conflicts with stock non-SCL passenger installations.

History

#1 - 01/14/2015 03:13 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- Category changed from Packaging to RPMs

- Status changed from New to Need more information

You shouldn't have this package installed, it isn't installed on our default installation.  How did you end up with it?

#2 - 02/04/2015 01:16 PM - Trevor Vaughan

It came from yum.theforman.org

http://yum.theforeman.org/releases/1.7/el7/x86_64/ruby193-mod_passenger-4.0.18-9.6.el7.x86_64.rpm

And is required for passenger to function properly.

#3 - 02/05/2015 04:40 AM - Dominic Cleal

Yeah, I realise it's there, but our installer doesn't install it and it isn't required (perhaps you have some other underlying issue that caused you to install

it).  Please try replacing it with mod_passenger.

#4 - 02/29/2016 07:26 AM - Tomer Brisker

- Status changed from Need more information to Rejected

Seems like the package was installed by mistake. Closing.
